#
# Table structure for table `xoops_banner`
#

CREATE TABLE xoops_banner (
  bid int(4) NOT NULL auto_increment,
  cid int(2) NOT NULL default '0',
  imptotal int(8) NOT NULL default '0',
  impmade int(8) NOT NULL default '0',
  clicks int(8) NOT NULL default '0',
  imageurl varchar(255) NOT NULL default '',
  clickurl varchar(255) NOT NULL default '',
  date int(10) NOT NULL default '0',
  PRIMARY KEY  (bid),
  KEY idxbannercid (cid),
  KEY idxbannerbidcid (bid,cid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_banner`
#


# --------------------------------------------------------

#
# Table structure for table `xoops_bannerclient`
#

CREATE TABLE xoops_bannerclient (
  cid int(2) NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  contact varchar(60) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  login varchar(10) NOT NULL default '',
  passwd varchar(10) NOT NULL default '',
  extrainfo text NOT NULL,
  PRIMARY KEY  (cid),
  KEY idxbannerclientlogin (login)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_bannerclient`
#

INSERT INTO xoops_bannerclient VALUES (1, 'XOOPS', 'XOOPS Dev Team', 'webmaster@xoops.org', '', '', '');
# --------------------------------------------------------

#
# Table structure for table `xoops_bannerfinish`
#

CREATE TABLE xoops_bannerfinish (
  bid int(4) NOT NULL auto_increment,
  cid int(2) NOT NULL default '0',
  impressions int(8) NOT NULL default '0',
  clicks int(8) NOT NULL default '0',
  datestart int(10) NOT NULL default '0',
  dateend int(10) NOT NULL default '0',
  PRIMARY KEY  (bid),
  KEY idxbannerfinishcid (cid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_bannerfinish`
#

# --------------------------------------------------------

#
# Table structure for table `xoops_comments`
#

CREATE TABLE xoops_comments (
  comment_id int(8) unsigned NOT NULL auto_increment,
  pid int(8) unsigned NOT NULL default '0',
  item_id int(8) unsigned NOT NULL default '0',
  date int(10) NOT NULL default '0',
  user_id int(5) NOT NULL default '0',
  ip varchar(15) NOT NULL default '',
  subject varchar(255) default NULL,
  comment text NOT NULL,
  nohtml tinyint(1) NOT NULL default '0',
  nosmiley tinyint(1) NOT NULL default '0',
  noxcode tinyint(1) NOT NULL default '0',
  icon varchar(25) NOT NULL default '',
  PRIMARY KEY  (comment_id),
  KEY pid (pid),
  KEY item_id (item_id),
  KEY user_id (user_id),
  KEY subject (subject(40))
) TYPE=MyISAM;

#
# Dumping data for table `xoops_comments`
#

# --------------------------------------------------------

#
# Table structure for table `xoops_groups`
#

CREATE TABLE xoops_groups (
  groupid int(5) NOT NULL auto_increment,
  name varchar(50) NOT NULL default '',
  description text,
  type varchar(10) NOT NULL default '',
  PRIMARY KEY  (groupid),
  KEY type (type)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_groups`
#

INSERT INTO xoops_groups VALUES (1, 'webmaster', 'webmasters of this site', 'Admin');
INSERT INTO xoops_groups VALUES (2, 'Registered Users', 'Registered Users Group', 'User');
INSERT INTO xoops_groups VALUES (3, 'Anonymous Users', 'Anonymous Users Group', 'Anonymous');
# --------------------------------------------------------

#
# Table structure for table `xoops_groups_blocks_link`
#

CREATE TABLE xoops_groups_blocks_link (
  groupid int(5) NOT NULL default '0',
  block_id int(5) NOT NULL default '0',
  type char(1) NOT NULL default ''
) TYPE=MyISAM;

#
# Dumping data for table `xoops_groups_blocks_link`
#

INSERT INTO xoops_groups_blocks_link VALUES (1, 8, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 7, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 5, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 4, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 2, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 1, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 3, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 10, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 9, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 6, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 8, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 3, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 10, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 9, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 6, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 8, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 6, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 9, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 10, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (1, 3, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 7, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 5, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 2, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (2, 1, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 7, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 5, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 2, 'R');
INSERT INTO xoops_groups_blocks_link VALUES (3, 1, 'R');
# --------------------------------------------------------

#
# Table structure for table `xoops_groups_modules_link`
#

CREATE TABLE xoops_groups_modules_link (
  groupid int(5) NOT NULL default '0',
  mid int(5) NOT NULL default '0',
  type char(1) NOT NULL default '',
  KEY groupid_type_mid (groupid,type,mid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_groups_modules_link`
#

INSERT INTO xoops_groups_modules_link VALUES (1, 1, 'A');
INSERT INTO xoops_groups_modules_link VALUES (1, 2, 'A');
INSERT INTO xoops_groups_modules_link VALUES (1, 1, 'R');
INSERT INTO xoops_groups_modules_link VALUES (1, 2, 'R');
INSERT INTO xoops_groups_modules_link VALUES (2, 1, 'R');
INSERT INTO xoops_groups_modules_link VALUES (2, 2, 'R');
INSERT INTO xoops_groups_modules_link VALUES (3, 1, 'R');
INSERT INTO xoops_groups_modules_link VALUES (3, 2, 'R');
# --------------------------------------------------------

#
# Table structure for table `xoops_groups_users_link`
#

CREATE TABLE xoops_groups_users_link (
  groupid int(5) NOT NULL default '0',
  uid int(5) NOT NULL default '0',
  KEY groupid_uid (groupid,uid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_groups_users_link`
#

INSERT INTO xoops_groups_users_link VALUES (1, 1);
INSERT INTO xoops_groups_users_link VALUES (2, 1);
# --------------------------------------------------------

#
# Table structure for table `xoops_metafooter`
#

CREATE TABLE xoops_metafooter (
  meta text NOT NULL,
  footer text NOT NULL
) TYPE=MyISAM;

#
# Dumping data for table `xoops_metafooter`
#

INSERT INTO xoops_metafooter VALUES ('News, news, New, New, Technology, technology, Headlines, headlines, XOOPS, Xoops, xoops, OOP, oop, Nuke, nuke, myPHPNuke, myphpnuke, myphp-nuke, PHPNuke, SE, Geek, geek, Geeks, geeks, Hacker, hacker, Hackers, hackers, Linux, linux, Windows, windows, Software, software, Download, download, Downloads, downloads, Free, FREE, free, Community, community, Forum, forum, Forums, forums, Bulletin, bulletin, Board, board, Boards, boards, PHP, php, Survey, survey, Kernel, kernel, Comment, comment, Comments, comments, Portal, portal, ODP, odp, Open, open, Open Source, OpenSource, Opensource, opensource, open source, Free Software, FreeSoftware, Freesoftware, free software, GNU, gnu, GPL, gpl, License, license, Unix, UNIX, *nix, unix, MySQL, mysql, SQL, sql, Database, DataBase, database, Web Site, web site, Weblog, WebLog, weblog, Guru, GURU, guru', '\n<a href="http://www.xoops.org/" target="_blank">XOOPS Official Website</a>\n\n');
# --------------------------------------------------------

#
# Table structure for table `xoops_modules`
#

CREATE TABLE xoops_modules (
  mid int(5) unsigned NOT NULL auto_increment,
  name varchar(150) NOT NULL default '',
  version int(5) NOT NULL default '100',
  last_update int(10) NOT NULL default '0',
  weight int(3) NOT NULL default '0',
  isactive tinyint(1) NOT NULL default '0',
  dirname varchar(25) NOT NULL default '',
  hasmain tinyint(1) NOT NULL default '0',
  hasadmin tinyint(1) NOT NULL default '0',
  hassearch tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (mid),
  KEY hasmain (hasmain),
  KEY hasadmin (hasadmin),
  KEY hassearch (hassearch),
  KEY dirname (dirname),
  KEY name (name(15))
) TYPE=MyISAM;

#
# Dumping data for table `xoops_modules`
#

INSERT INTO xoops_modules VALUES (1, 'System Admin', 100, 1020877924, 0, 1, 'system', 0, 1, 0);
INSERT INTO xoops_modules VALUES (2, 'News', 101, 1020877924, 1, 1, 'news', 1, 1, 1);
# --------------------------------------------------------

#
# Table structure for table `xoops_newblocks`
#

CREATE TABLE xoops_newblocks (
  bid int(5) unsigned NOT NULL auto_increment,
  mid int(5) unsigned NOT NULL default '0',
  func_num int(5) NOT NULL default '0',
  options varchar(255) NOT NULL default '',
  name varchar(150) NOT NULL default '',
  position tinyint(1) NOT NULL default '0',
  title varchar(150) NOT NULL default '',
  content text NOT NULL,
  side tinyint(1) NOT NULL default '0',
  weight int(5) NOT NULL default '0',
  visible tinyint(1) NOT NULL default '0',
  type char(1) NOT NULL default '',
  c_type char(1) NOT NULL default '',
  isactive tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (bid),
  KEY mid (mid),
  KEY visible (visible),
  KEY side_visible_mid (side,visible,mid),
  KEY mid_funcnum (mid,func_num)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_newblocks`
#

INSERT INTO xoops_newblocks VALUES (1, 1, 1, '', 'User Block', 1, '', '', 0, 0, 1, 'S', '', 1);
INSERT INTO xoops_newblocks VALUES (2, 1, 2, '', 'Login Block', 1, '', '', 0, 0, 1, 'S', '', 1);
INSERT INTO xoops_newblocks VALUES (3, 1, 3, '', 'Search Block', 1, '', '', 0, 0, 1, 'S', '', 1);
INSERT INTO xoops_newblocks VALUES (4, 1, 4, '', 'Waiting Contents Block', 1, '', '', 0, 0, 1, 'S', '', 1);
INSERT INTO xoops_newblocks VALUES (5, 1, 5, '', 'Main Menu Block', 0, '', '', 0, 0, 1, 'S', '', 1);
INSERT INTO xoops_newblocks VALUES (6, 1, 6, '320|250|poweredby.gif', 'Site Info Block', 0, '', '', 0, 1, 1, 'S', 'H', 1);
INSERT INTO xoops_newblocks VALUES (7, 2, 1, '', 'News Topics Block', 0, '', '', 0, 0, 1, 'M', '', 1);
INSERT INTO xoops_newblocks VALUES (8, 2, 2, '', 'Big Story Block', 0, '', '', 1, 0, 1, 'M', '', 1);
INSERT INTO xoops_newblocks VALUES (9, 2, 3, 'counter|10', 'Top News Block', 0, '', '', 4, 0, 1, 'M', 'H', 1);
INSERT INTO xoops_newblocks VALUES (10, 2, 4, 'published|10', 'Recent News Block', 0, '', '', 3, 0, 1, 'M', 'H', 1);
# --------------------------------------------------------

#
# Table structure for table `xoops_priv_msgs`
#

CREATE TABLE xoops_priv_msgs (
  msg_id int(8) NOT NULL auto_increment,
  msg_image varchar(100) default NULL,
  subject varchar(100) default NULL,
  from_userid int(5) unsigned NOT NULL default '0',
  to_userid int(5) unsigned NOT NULL default '0',
  msg_time int(10) NOT NULL default '0',
  msg_text text,
  read_msg tinyint(1) NOT NULL default '0',
  PRIMARY KEY  (msg_id),
  KEY to_userid (to_userid),
  KEY idxprivmsgstouseridreadmsg (to_userid,read_msg),
  KEY idxprivmsgsmsgidfromuserid (msg_id,from_userid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_priv_msgs`
#

# --------------------------------------------------------

#
# Table structure for table `xoops_ranks`
#

CREATE TABLE xoops_ranks (
  rank_id int(5) NOT NULL auto_increment,
  rank_title varchar(50) NOT NULL default '',
  rank_min int(10) NOT NULL default '0',
  rank_max int(10) NOT NULL default '0',
  rank_special int(2) NOT NULL default '0',
  rank_image varchar(255) default NULL,
  PRIMARY KEY  (rank_id),
  KEY rank_min (rank_min),
  KEY rank_max (rank_max),
  KEY idxranksrankminrankmaxranspecial (rank_min,rank_max,rank_special),
  KEY idxranksrankspecial (rank_special)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_ranks`
#

INSERT INTO xoops_ranks VALUES (2, 'Just popping in', 0, 20, 0, '');
INSERT INTO xoops_ranks VALUES (3, 'Not too shy to talk', 21, 40, 0, 'star.gif');
INSERT INTO xoops_ranks VALUES (4, 'Quite a regular', 41, 70, 0, 'stars2.gif');
INSERT INTO xoops_ranks VALUES (5, 'Just can\'t stay away', 71, 150, 0, 'stars3.gif');
INSERT INTO xoops_ranks VALUES (6, 'Home away from home', 151, 10000, 0, 'stars4.gif');
INSERT INTO xoops_ranks VALUES (7, 'Webmaster', -1, -1, 1, 'redstars5.gif');
INSERT INTO xoops_ranks VALUES (8, 'Moderator', -1, -1, 1, 'stars5.gif');
# --------------------------------------------------------

#
# Table structure for table `xoops_session`
#

CREATE TABLE xoops_session (
  uid int(5) unsigned NOT NULL default '0',
  time int(10) NOT NULL default '0',
  ip varchar(15) NOT NULL default '',
  hash varchar(32) NOT NULL default '',
  KEY uid (uid),
  KEY time (time),
  KEY hash_ip (hash,ip),
  KEY uid_ip (uid,ip)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_session`
#

# --------------------------------------------------------

#
# Table structure for table `xoops_smiles`
#

CREATE TABLE xoops_smiles (
  id int(10) NOT NULL auto_increment,
  code varchar(50) default NULL,
  smile_url varchar(100) default NULL,
  emotion varchar(75) default NULL,
  PRIMARY KEY  (id)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_smiles`
#

INSERT INTO xoops_smiles VALUES (1, ':-D', 'icon_biggrin.gif', 'Very Happy');
INSERT INTO xoops_smiles VALUES (2, ':-)', 'icon_smile.gif', 'Smile');
INSERT INTO xoops_smiles VALUES (3, ':-(', 'icon_frown.gif', 'Sad');
INSERT INTO xoops_smiles VALUES (4, ':-o', 'icon_eek.gif', 'Surprised');
INSERT INTO xoops_smiles VALUES (5, ':-?', 'icon_confused.gif', 'Confused');
INSERT INTO xoops_smiles VALUES (6, '8-)', 'icon_cool.gif', 'Cool');
INSERT INTO xoops_smiles VALUES (7, ':lol:', 'icon_lol.gif', 'Laughing');
INSERT INTO xoops_smiles VALUES (8, ':-x', 'icon_mad.gif', 'Mad');
INSERT INTO xoops_smiles VALUES (9, ':-P', 'icon_razz.gif', 'Razz');
INSERT INTO xoops_smiles VALUES (10, ':oops:', 'icon_redface.gif', 'Embaressed');
INSERT INTO xoops_smiles VALUES (11, ':cry:', 'icon_cry.gif', 'Crying (very sad)');
INSERT INTO xoops_smiles VALUES (12, ':evil:', 'icon_evil.gif', 'Evil or Very Mad');
INSERT INTO xoops_smiles VALUES (13, ':roll:', 'icon_rolleyes.gif', 'Rolling Eyes');
INSERT INTO xoops_smiles VALUES (14, ';-)', 'icon_wink.gif', 'Wink');
INSERT INTO xoops_smiles VALUES (15, ':pint:', 'icon_drink.gif', 'Another pint of beer');
INSERT INTO xoops_smiles VALUES (16, ':hammer:', 'icon_hammer.gif', 'ToolTimes at work');
INSERT INTO xoops_smiles VALUES (17, ':idea:', 'icon_idea.gif', 'I have an idea');
# --------------------------------------------------------

#
# Table structure for table `xoops_stories`
#

CREATE TABLE xoops_stories (
  storyid int(8) unsigned NOT NULL auto_increment,
  uid int(5) NOT NULL default '0',
  title varchar(255) default NULL,
  created int(10) NOT NULL default '0',
  published int(10) NOT NULL default '0',
  hostname varchar(20) NOT NULL default '',
  nohtml tinyint(1) NOT NULL default '0',
  nosmiley tinyint(1) NOT NULL default '0',
  hometext text NOT NULL,
  bodytext text NOT NULL,
  counter int(8) unsigned NOT NULL default '0',
  topicid int(8) unsigned NOT NULL default '1',
  ihome tinyint(1) NOT NULL default '0',
  notifypub tinyint(1) NOT NULL default '0',
  type varchar(10) NOT NULL default '0',
  topicdisplay tinyint(1) NOT NULL default '0',
  topicalign char(1) NOT NULL default 'R',
  PRIMARY KEY  (storyid),
  KEY idxstoriestopic (topicid),
  KEY ihome (ihome),
  KEY uid (uid),
  KEY published_ihome (published,ihome),
  KEY title (title(40)),
  KEY created (created)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_stories`
#

INSERT INTO xoops_stories VALUES (1, 1, 'Welcome to XOOPS!!', 1023267742, 1023267742, '150.0.0.0', 0, 0, 'This is the first article in XOOPS. You can delete it. Pelase read carefully the README file for some details, CREDITS files to see from where comes the things and remember that this is a free software under the GPL License (COPYING file for details). Hope you enjoy this software. Please report any bug you have found to the support team at xoops.sourceforge.net.', '', 1, 1, 0, 0, 'admin', 1, 'R');
# --------------------------------------------------------

#
# Table structure for table `xoops_topics`
#

CREATE TABLE xoops_topics (
  topic_id int(4) unsigned NOT NULL auto_increment,
  topic_pid int(4) unsigned NOT NULL default '0',
  topic_imgurl varchar(20) NOT NULL default '',
  topic_title varchar(50) NOT NULL default '',
  PRIMARY KEY  (topic_id),
  KEY pid (topic_pid)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_topics`
#

INSERT INTO xoops_topics VALUES (1, 0, 'xoops.gif', 'XOOPS');
# --------------------------------------------------------

#
# Table structure for table `xoops_users`
#

CREATE TABLE xoops_users (
  uid int(5) unsigned NOT NULL auto_increment,
  name varchar(60) NOT NULL default '',
  uname varchar(25) NOT NULL default '',
  email varchar(60) NOT NULL default '',
  url varchar(100) NOT NULL default '',
  user_avatar varchar(30) default NULL,
  user_regdate int(10) NOT NULL default '0',
  user_icq varchar(15) default NULL,
  user_from varchar(100) default NULL,
  user_sig text,
  user_viewemail tinyint(1) NOT NULL default '0',
  actkey varchar(8) default NULL,
  user_aim varchar(18) default NULL,
  user_yim varchar(25) default NULL,
  user_msnm varchar(25) default NULL,
  pass varchar(32) NOT NULL default '',
  posts int(8) default '0',
  attachsig tinyint(1) default '0',
  rank int(5) NOT NULL default '0',
  level int(5) NOT NULL default '1',
  theme varchar(100) NOT NULL default '',
  timezone_offset float(3,1) NOT NULL default '0.0',
  last_login int(10) NOT NULL default '0',
  umode varchar(10) NOT NULL default '',
  uorder tinyint(1) NOT NULL default '0',
  user_occ varchar(100) default NULL,
  bio tinytext NOT NULL,
  user_intrest varchar(150) default NULL,
  PRIMARY KEY  (uid),
  KEY idxusersuname (uname),
  KEY idxusersemail (email),
  KEY idxusersuiduname (uid,uname),
  KEY idxusersunamepass (uname,pass)
) TYPE=MyISAM;

#
# Dumping data for table `xoops_users`
#

INSERT INTO xoops_users VALUES (1, '', 'webmaster', '', '', '001.gif', 1023267742, '', '', '', 1, NULL, '', '', '', '50a9c7dbf0fa09e8969978317dca12e8', 0, 0, 7, 5, 'phpkaox', '0.0', 1023267742, 'flat', 0, '', '', '');

